﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace PdfSample
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {         
        }
        protected void Button1_Click(object sender, EventArgs e)
        {

            string path = Server.MapPath("app_data/A5.pdf");
            PdfLoadedDocument ldoc = new PdfLoadedDocument(path);

            //SizeF(595,842) is A4 size.
            //Create booklet with two sides               
            PdfDocument doc = PdfBookletCreator.CreateBooklet(ldoc, new SizeF(595,842),true);
               
            Response.Clear();
            Response.ContentType = "application/pdf";
            doc.Save("sample.pdf", Response, HttpReadType.Save);
        }
       
    }
}